#include <map>
#include <string>
#include <vector>

#ifndef memory_Context_HEADER
#define memory_Context_HEADER

struct memory_Context {
  std::vector<int> hiddenItems;
  std::vector<int> mismatchedItems;
  std::map<int, int> playfieldItems;
  int playfieldSize = 0;
  std::string recentField = "none";
  int selectedId = -1;
  std::vector<int> selectedItems;
  bool victory = false;
};

memory_Context memory_createContext();

#endif // memory_Context_HEADER
